Bug 1252509 - rhel-osp-director: Fail to "openstack overcloud update stack": "ERROR: openstack unexpected end of regular expression"
rhel-osp-director: Fail to "openstack overcloud update stack": "ERROR: opens...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: y1
: 7.0 (Kilo)
Assigned To: Jan Provaznik
Alexander Chuzhoy
: ZStream
: 1253449 (view as bug list)
Depends On: 1264203
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 11:09 EDT by Alexander Chuzhoy
Modified: 2015-10-08 08:16 EDT (History)
11 users (show)

See Also:
Fixed In Version: openstack-tripleo-common-0.0.1.dev6-3.git49b57eb.el7ost
Doc Type: Bug Fix
Doc Text:
The "openstack overcloud update stack -i" command did not handle invalid regular expressions. This caused command termination with an error: openstack unexpected end of regular expression This fix detects invalid regular expressions and provides a warning to the user about the invalid value. The command now handles invalid expressions and prompts the user to enter a new value.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 08:16:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 213101 None None None Never

  None (edit)
Description Alexander Chuzhoy 2015-08-11 11:09:25 EDT
rhel-osp-director: Fail to "openstack overcloud update stack":  "ERROR: openstack unexpected end of regular expression"


Environment:
instack-undercloud-2.1.2-23.el7ost.noarch

Steps to reproduce:
1. Successfully deploy overcloud using templates.
2. Attempt to update with:
openstack overcloud update stack --templates  -e [yaml file] -i overcloud                                                                                                                                                       
Note: I also tried without providing the yaml files. Same result.

Result:
                                                           
starting package update on stack overcloud                                                                      
IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     WAITING                                                                         not_started: [u'overcloud-compute-0', u'overcloud-controller-0']                                                                  on_breakpoint: [u'overcloud-cephstorage-0']                                                                 Breakpoint reached, continue? Regexp or Enter=proceed, no=cancel update, C-c=quit interactive mode:                                                                           removing breakpoint on overcloud-cephstorage-0                                                                   IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS                                                                     WAITING                                                                         completed: [u'overcloud-cephstorage-0']                                                                 on_breakpoint: [u'overcloud-compute-0', u'overcloud-controller-0']                                                                  
Breakpoint reached, continue? Regexp or Enter=proceed, no=cancel update, C-c=quit interactive mode:                                                                          
removing breakpoint on overcloud-controller-0                                                                    IN_PROGRESS                                                                     IN_PROGRESS                                                                     IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
IN_PROGRESS
WAITING
completed: [u'overcloud-controller-0', u'overcloud-cephstorage-0']
on_breakpoint: [u'overcloud-compute-0']
Breakpoint reached, continue? Regexp or Enter=proceed, no=cancel update, C-c=quit interactive mode:
ERROR: openstack unexpected end of regular expression


Expected Result:
The update should complete successfully.
Comment 3 Zane Bitter 2015-08-14 10:08:07 EDT
*** Bug 1253449 has been marked as a duplicate of this bug. ***
Comment 4 Marek Aufart 2015-08-21 06:46:47 EDT
Update action is just called from rdomanager-oscplugin, related code is propably in tripleo-common. I suggest check it by upgrade people.
Comment 5 Jan Provaznik 2015-09-02 05:03:52 EDT
Patch backport: https://code.engineering.redhat.com/gerrit/#/c/56874/1
Comment 7 James Slagle 2015-09-28 16:12:34 EDT
jan, can you write the doc text for this one given you did the patch?
Comment 8 Alexander Chuzhoy 2015-09-30 19:41:30 EDT
Verified:
Environment:
openstack-tripleo-common-0.0.1.dev6-3.git49b57eb.el7ost.noarch



The update completed with:
IN_PROGRESS
COMPLETE
update finished with status COMPLETE
Comment 10 errata-xmlrpc 2015-10-08 08:16:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Note You need to log in before you can comment on or make changes to this bug.